SBC4 Unsupported VINT phidget

General PhidgetSBC Discussion.
Post Reply
StevenCoral
Phidgetsian
Posts: 6
Joined: Wed Sep 13, 2023 12:13 am
Contact:

SBC4 Unsupported VINT phidget

Post by StevenCoral »

Hi all,
I recently purchased an SBC4 (SBC3003_0) and some Spatial Precision 3/3/3 units (MOT0110_0).
When I connect the Spatials to the SBC's built-in VINT hub (or to a standalone VINT hub connected to the SBC through USB), in the web GUI it shows as "Unsupported VINT Phidget" (see attached).
If I try to upgrade the firmware, it says "Upgrading.... Done." but never upgrades even though I have wireless internet connection.

Edit: On Windows control panel it works fine. I used Windows to update both the usb hub and spatials's firmwares to latest, but still no go on the SBC4.

Any takes on that?

Best Regards,
Steve
sbc_err.png
(46.55 KiB) Not downloaded yet
User avatar
mparadis
Site Admin
Posts: 959
Joined: Fri Oct 28, 2011 12:17 pm
Contact:

Re: SBC4 Unsupported VINT phidget

Post by mparadis »

You need to update the Phidget drivers on your SBC to a newer version, since the MOT0110 is a relatively new product.

Go to System -> Packages in the web interface, click on "Refresh Available Packages" and then click "Upgrade all Packages".
StevenCoral
Phidgetsian
Posts: 6
Joined: Wed Sep 13, 2023 12:13 am
Contact:

Re: SBC4 Unsupported VINT phidget

Post by StevenCoral »

Hi,
Thank you for your answer.
Unfortunately, even though I do have internet connection (the "Refresh Available Packages" does work and updates the list), when I try to actually install the packages I get the following error only on some of the hosts:
phidget_error.png
error_specs
(83.9 KiB) Not downloaded yet
And the installation process does not complete. Afterwards, I get the same "Unsupported Phidget" message.
Trying to install the Python packages results in the same host error messages about Temporary failure resolving 'deb.debian.org'.
Just to make sure, if I disable network access then the error is "network unreachable", so this isn't the case.
Could the apt config file have obsolete addresses? I'm used to Ubuntu, not Debian, so unsure.

Best Regards,
Steve
StevenCoral
Phidgetsian
Posts: 6
Joined: Wed Sep 13, 2023 12:13 am
Contact:

Re: SBC4 Unsupported VINT phidget

Post by StevenCoral »

Update:
This was a DNS issue.
Changed the automatic Wifi DNS to manual 8.8.8.8 / 8.8.4.4 and it fixes it all. I can see that the SBC recognizes the Spatial-3/3/3.
Leaving previous comment intact in case anyone searches for the keywords on google.

Thanks again for your support,
Cheers
Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest